Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.ntru
Class NTRUParameters

    java.lang.Object
      org.bouncycastle.pqc.crypto.ntru.NTRUParameters

All Implemented Interfaces:
  CipherParameters, KEMParameters

public class NTRUParameters
extends java.lang.Object
implements KEMParameters

NTRU cipher parameter sets

Field Summary
`static NTRUParameters` | `ntruhps2048509` NTRU-HPS parameter set with n = 509 and q = 2048.
`static NTRUParameters` | `ntruhps2048677` NTRU-HPS parameter set with n = 677 and q = 2048.
`static NTRUParameters` | `ntruhps40961229` NTRU-HPS parameter set with n = 1229 and q = 4096.
`static NTRUParameters` | `ntruhps4096821` NTRU-HPS parameter set with n = 821 and q = 4096.
`static NTRUParameters` | `ntruhrss1373` NTRU-HRSS parameter set with n = 1373.
`static NTRUParameters` | `ntruhrss701` NTRU-HRSS parameter set with n = 701.

Method Summary
`int` | `getEncapsulationLength()`
`java.lang.String` | `getName()`
`int` | `getSessionKeySize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ntruhps2048509

    public static final NTRUParameters ntruhps2048509

  NTRU-HPS parameter set with n = 509 and q = 2048.

### ntruhps2048677

    public static final NTRUParameters ntruhps2048677

  NTRU-HPS parameter set with n = 677 and q = 2048.

### ntruhps4096821

    public static final NTRUParameters ntruhps4096821

  NTRU-HPS parameter set with n = 821 and q = 4096.

### ntruhps40961229

    public static final NTRUParameters ntruhps40961229

  NTRU-HPS parameter set with n = 1229 and q = 4096.

### ntruhrss701

    public static final NTRUParameters ntruhrss701

  NTRU-HRSS parameter set with n = 701.

### ntruhrss1373

    public static final NTRUParameters ntruhrss1373

  NTRU-HRSS parameter set with n = 1373.

Method Detail

### getEncapsulationLength

    public int getEncapsulationLength()

### getName

    public java.lang.String getName()

### getSessionKeySize

    public int getSessionKeySize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD